com.independentsoft.exchange

## Class NotePropertyPath

- java.lang.Object
- - com.independentsoft.exchange.ItemPropertyPath
  - - com.independentsoft.exchange.NotePropertyPath

-     public class NotePropertyPath
      extends ItemPropertyPath

  The Class NotePropertyPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CustomPropertyId` | `COLOR`
    `static PropertyId` | `CONTACTS`
    `static CustomPropertyId` | `HEIGHT`
    `static PropertyTag` | `ICON_COLOR`
    `static CustomPropertyId` | `LEFT`
    `static CustomPropertyId` | `TOP`
    `static CustomPropertyId` | `WIDTH`

    - ### Fields inherited from class com.independentsoft.exchange.ItemPropertyPath

      `ARCHIVE_TAG, ATTACHMENTS, BLOCK_STATUS, BODY, BODY_HTML_TEXT, BODY_PLAIN_TEXT, CATEGORIES, COMMENT, CONVERSATION_ID, CREATED_TIME, CULTURE, DISPLAY_NAME, EFFECTIVE_RIGHTS, ENTITY_EXTRACTION_RESULT, ENTRY_ID, FLAG, GROUPING_ACTION, HAS_ATTACHMENTS, HAS_BLOCKED_IMAGES, ICON_INDEX, IMPORTANCE, INSTANCE_KEY, IS_ASSOCIATED, IS_HIDDEN, ITEM_CLASS, ITEM_ID, LAST_MODIFIED_TIME, LAST_MODIFIER_NAME, MIME_CONTENT, NEXT_PREDICTED_ACTION, PARENT_ID, PREVIEW, REMINDER_DUE_BY, REMINDER_IS_SET, REMINDER_MINUTES_BEFORE_START, RETENTION_DATE, RETENTION_TAG, SEARCH_KEY, SENSITIVITY, SIZE, STORE_ENTRY_ID, SUBJECT, TEXT_BODY, UNIQUE_BODY, WEB_CLIENT_EDIT_FORM_QUERY_STRING, WEB_CLIENT_READ_FORM_QUERY_STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WIDTH

          public static final CustomPropertyId WIDTH

    - #### HEIGHT

          public static final CustomPropertyId HEIGHT

    - #### LEFT

          public static final CustomPropertyId LEFT

    - #### TOP

          public static final CustomPropertyId TOP

    - #### COLOR

          public static final CustomPropertyId COLOR

    - #### CONTACTS

          public static final PropertyId CONTACTS

    - #### ICON_COLOR

          public static final PropertyTag ICON_COLOR

  - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths